function [F,exitflag] = Fmat(Feed,steam,actset)
% Summary:  This function creates the F matrix
%
%           F = dyopt/dd = [dy1opt/dd1  dy1opt/dd2 ... dy1opt/ddn;   
%                           dy2opt/dd1  dy2opt/dd2 ... dy2opt/ddn; 
%                              :           :               :
%                              :           :               :
%                           dynopt/dd1  dynopt/dd2 ... dynopt/ddn ] 
% Input:    
% Output: F_X = dXopt/dd
%         F_T1 = dT1opt/dd
%         F_T2 = dT2opt/dd
%
%
%

        init_nominal                                   % Initial conditions

        price.steam=steam;
        par.F=Feed;
        par.flag=0;
        par.actset=actset;
%calculationg opptimal value

        
        [xopt,fval_opt,exitflag]=fmincon(@(x)costfunction(x,price,par),...     
         x0,[],[],[],[],lb,ub,@(X)nonlcon(X, par),options);        
            exitflag
            [Toptcol1,Toptcol2] = Temp(xopt,par);

        x0=xopt;
        

        par.dof=[];
        par.flag=0;
        %setting pertubation in the considered disturbaces
        dF=0.001;                % pertubation in F
        dzF_A=[0.001,-0.001 , 0      ]';  %pertubation in Z_A on z_B
        dzF_B=[0     ,0.001  , -0.001]';  %pertubation in z_B on z_C


        % dy/dF
        par.F=Feed+dF;            % Pertubation in F
        [x,fval,exitflag]=fmincon(@(x)costfunction(x,price,par),...     
         x0,[],[],[],[],lb,ub,@(X)nonlcon(X, par),options);        
            exitflag
            [Tcol1,Tcol2] = Temp(x,par);
            dX_dF=(x-xopt)./dF;
            dT1_dF=(Tcol1-Toptcol1)./dF; 
            dT2_dF=(Tcol2-Toptcol2)./dF;   
            
        
        % dy/dzF_A
        par.F=Feed;    
        par.zF=[0.40,0.20,0.4]'+dzF_A; % pertubation in zF_A    
        [x,fval,exitflag]=fmincon(@(x) costfunction(x,price,par),... 
        x0,[],[],[],[],lb,ub,@(X)nonlcon_act(X, par),options);        
            exitflag
            [Tcol1,Tcol2] = Temp(x,par);
            dX_dzF_A=(x-xopt)./dzF_A(1);
            dT1_dzF_A=(Tcol1-Toptcol1)./dzF_A(1); 
            dT2_dzF_A=(Tcol2-Toptcol2)./dzF_A(1);       
           
            
        % dy/dzF_B
        par.F=Feed;      
        par.zF=[0.40,0.20,0.4]'+dzF_B; % pertubation in zF_B    
        
        [x,fval,exitflag]=fmincon(@(x) costfunction(x,price,par),... 
        x0,[],[],[],[],lb,ub,@(X)nonlcon_act(X, par),options);        
            exitflag
            [Tcol1,Tcol2] = Temp(x,par);
            dX_dzF_B=(x-xopt)./dzF_B(2);
            dT1_dzF_B=(Tcol1-Toptcol1)./dzF_B(2); 
            dT2_dzF_B=(Tcol2-Toptcol2)./dzF_B(2);       
        
        % F matrix 
        F.X= [dX_dF,  dX_dzF_A,     dX_dzF_B];
        F.T1=[dT1_dF, dT1_dzF_A,    dT1_dzF_B];
        F.T2=[dT2_dF, dT2_dzF_A,    dT2_dzF_B];


end

