function [bin] = binary (c,c_s,tol)
%% binary.m
% Summary:      Compare the state of the system with the 
%               constraints c_s and mark the active set a
%               binary number.
% author:       Tor Anders Marvik 
% organization: Department of Chemical Engineering, NTNU, 
% contact:      torandma@stud.ntnu.no
% Input         c   : constrait variable at optimal poit  
%               c_s : constraint values 
%               tol : Toleranse, active constr. if c-c_s <tol
% Output        bin : Binary number that marks the active set


bin=zeros(1,5);

for i=1:5
    if abs(c(i)-c_s(i))<tol
        bin(i)=1;
    end
end

end