function [ c, ceq ] = nonlcon( x, par )

c=[];           %inequality constraints

par1=par;       %reseting struct parameters for col1
par2=par;       %reseting struct parameters for col1

%column 1
par1.F=par.F;   
par1.zF=par.zF;
par1.LT=x(par.NV+1);
par1.VB=x(par.NV+2);
par1.D=x(par.NV+3);
par1.B=x(par.NV+4);
ceq_col1=multiCP_ColumnA_ext(x(1:par.NV),par1);

%column 2
par2.F=x(par.NV+4);
par2.zF=x([1,par.NT+1,2*par.NT+1]);
par2.LT=x(par.NV*2+4+1);
par2.VB=x(par.NV*2+4+2);
par2.D= x(par.NV*2+4+3);
par2.B= x(par.NV*2+4+4);
ceq_col2=multiCP_ColumnA_ext(x(par.NV+5:par.NV*2+4),par2);

%active constraints  
act(1)=x(par.NV+2)-4.008;%           % Max vapour flow col1
act(2)=x(2*par.NV+6)-2.405;          % Max vapour flow col2
act(3)=x(par.NT)-0.95;               % Min comp A top col1
act(4)=x(par.NV+4+2*par.NT)-0.95;    % Min comp B top col2
act(5)=x(par.NV+4+2*par.NT+1)-0.95;  % Min comp C btm col2
active=act(par.actset)';             % Set of acitive const.


if par.flag==0;                      % No control
ceq=[ceq_col1;ceq_col2;active];  
else                                 % With control


dof=par.dof;                         % Setpoint contr. var.

%value in x vektor controlled
if par.flag==1                                 
        res_dof=x(par.index_u)-dof; 
        ceq=[ceq_col1;ceq_col2;active;res_dof];
end

%Tray temp controlled controlled
if par.flag==2  
    [Tcol1,Tcol2] = Temp(x,par);
    T=[Tcol1;Tcol2];
    res_dof=T(par.index_u)-dof;
    ceq=[ceq_col1;ceq_col2;active;res_dof];
end

%x()/x() controlled
if par.flag==3  
        res_dof=x(par.index_u(1, 1))/x(par.index_u(1,2))-dof;
        ceq=[ceq_col1;ceq_col2;active;res_dof];
end

%x()/F() controlled
if par.flag==4  
        res_dof=(x(par.index_u)/par.F)-dof;
        ceq=[ceq_col1;ceq_col2;active;res_dof];
end
    
%c= H * T controlled
if par.flag==5;
    [Tcol1,Tcol2] = Temp(x,par);
    T=[Tcol1;Tcol2];
    res_dof=par.H*T(par.index_u)-dof;
    ceq=[ceq_col1;ceq_col2;active;res_dof];
end

end
end

